package model

import "github.com/zeromicro/go-zero/core/stores/mon"

var _ TeamMembersModel = (*customTeamMembersModel)(nil)

type (
	// TeamMembersModel is an interface to be customized, add more methods here,
	// and implement the added methods in customTeamMembersModel.
	TeamMembersModel interface {
		teamMembersModel
	}

	customTeamMembersModel struct {
		*defaultTeamMembersModel
	}
)

// NewTeamMembersModel returns a model for the mongo_model.
func NewTeamMembersModel(url, db, collection string) TeamMembersModel {
	conn := mon.MustNewModel(url, db, collection)
	return &customTeamMembersModel{
		defaultTeamMembersModel: newDefaultTeamMembersModel(conn),
	}
}
